import { FilterCondition } from "../enums/filterCondition";
/**
 * Base class for all FilterDescriptor.
 */
export declare abstract class FilterDescriptorBase {
    condition: FilterCondition;
    readonly type: string;
    abstract toJSON(): string;
    abstract fromJSON(json: string): FilterDescriptorBase;
    constructor(type: string);
}
