import { SortDirection } from "../enums/sortDirection";
/**
 * Base class for all SortDescriptor.
 */
export declare abstract class SortDescriptorBase {
    direction: SortDirection;
    readonly type: string;
    constructor(type: string);
    abstract toJSON(): string;
    abstract fromJSON(json: string): SortDescriptorBase;
}
